List Scope Permissions
curl --request GET \
--url https://{appId}.api-{region}.cometchat.io/v3/groups/{guid}/scopes/{scope}/permissions \
--header 'apikey: <api-key>'import requests
url = "https://{appId}.api-{region}.cometchat.io/v3/groups/{guid}/scopes/{scope}/permissions"
headers = {"apikey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apikey: '<api-key>'}};
fetch('https://{appId}.api-{region}.cometchat.io/v3/groups/{guid}/scopes/{scope}/permissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "addReaction",
"type": "scope",
"title": "Allows member to list the members with specified scope",
"description": "Allows member to list the members with specified scope",
"dataType": "string",
"availableValues": [
"allow",
"deny"
],
"defaultValue": "allow",
"createdAt": 1765962204,
"updatedAt": 1765962204
},
{
"id": "sendMessage",
"type": "scope",
"title": "Allows/Denies sending messages",
"description": "Allows/Denies sending messages",
"dataType": "string",
"availableValues": [
"allow",
"deny"
],
"defaultValue": "allow",
"createdAt": 1765962204,
"updatedAt": 1765962204
},
{
"id": "initiateCall.allowedType",
"type": "scope",
"title": "Allows members to initiate call with the specified types",
"description": "Allows members to initiate call with the specified types",
"dataType": "stringArray",
"availableValues": [
"audio",
"video"
],
"createdAt": 1765962204,
"updatedAt": 1765962204,
"defaultValue": []
}
],
"meta": {
"pagination": {
"total": 11,
"count": 11,
"per_page": 100,
"current_page": 1,
"total_pages": 1
}
}
}Role Based Access Control
List Scope Permissions
Lists scope permissions
GET
/
groups
/
{guid}
/
scopes
/
{scope}
/
permissions
List Scope Permissions
For the complete error reference, see Error Guide.
Authorizations
API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
Path Parameters
The group GUID to update scope permissions for
Example:
"supergroup"
The scope identifier (e.g., admin, moderator, participant)
Example:
"admin"
Was this page helpful?
⌘I